Package io.dapr.v1

# Class CommonProtos.InvokeResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>
io.dapr.v1.CommonProtos.InvokeResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.InvokeResponseOrBuilder`, `Cloneable`

Enclosing class:
  CommonProtos.InvokeResponse

public static final class CommonProtos.InvokeResponse.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder> implements CommonProtos.InvokeResponseOrBuilder

     InvokeResponse is the response message including data and its content type
     from app callback.
     This message is used in InvokeService of Dapr gRPC Service and OnInvoke
     of AppCallback gRPC service.

Protobuf type `dapr.proto.common.v1.InvokeResponse`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonProtos.InvokeResponse.Builder`
  `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `CommonProtos.InvokeResponse`
  `build()`
  `CommonProtos.InvokeResponse`
  `buildPartial()`
  `CommonProtos.InvokeResponse.Builder`
  `clear()`
  `CommonProtos.InvokeResponse.Builder`
  `clearContentType()`
  Required.
  `CommonProtos.InvokeResponse.Builder`
  `clearData()`
  Required in unary RPCs.
  `CommonProtos.InvokeResponse.Builder`
  `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
  `CommonProtos.InvokeResponse.Builder`
  `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
  `CommonProtos.InvokeResponse.Builder`
  `clone()`
  `String`
  `getContentType()`
  Required.
  `com.google.protobuf.ByteString`
  `getContentTypeBytes()`
  Required.
  `com.google.protobuf.Any`
  `getData()`
  Required in unary RPCs.
  `com.google.protobuf.Any.Builder`
  `getDataBuilder()`
  Required in unary RPCs.
  `com.google.protobuf.AnyOrBuilder`
  `getDataOrBuilder()`
  Required in unary RPCs.
  `CommonProtos.InvokeResponse`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `boolean`
  `hasData()`
  Required in unary RPCs.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `CommonProtos.InvokeResponse.Builder`
  `mergeData(com.google.protobuf.Any value)`
  Required in unary RPCs.
  `CommonProtos.InvokeResponse.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `CommonProtos.InvokeResponse.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `CommonProtos.InvokeResponse.Builder`
  `mergeFrom(CommonProtos.InvokeResponse other)`
  `final CommonProtos.InvokeResponse.Builder`
  `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
  `CommonProtos.InvokeResponse.Builder`
  `setContentType(String value)`
  Required.
  `CommonProtos.InvokeResponse.Builder`
  `setContentTypeBytes(com.google.protobuf.ByteString value)`
  Required.
  `CommonProtos.InvokeResponse.Builder`
  `setData(com.google.protobuf.Any value)`
  Required in unary RPCs.
  `CommonProtos.InvokeResponse.Builder`
  `setData(com.google.protobuf.Any.Builder builderForValue)`
  Required in unary RPCs.
  `CommonProtos.InvokeResponse.Builder`
  `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `CommonProtos.InvokeResponse.Builder`
  `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final CommonProtos.InvokeResponse.Builder`
  `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### clear

    public CommonProtos.InvokeResponse.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### getDefaultInstanceForType

    public CommonProtos.InvokeResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public CommonProtos.InvokeResponse build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public CommonProtos.InvokeResponse buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public CommonProtos.InvokeResponse.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### setField

    public CommonProtos.InvokeResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### clearField

    public CommonProtos.InvokeResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### clearOneof

    public CommonProtos.InvokeResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### setRepeatedField

    public CommonProtos.InvokeResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### addRepeatedField

    public CommonProtos.InvokeResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### mergeFrom

    public CommonProtos.InvokeResponse.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### mergeFrom

    public CommonProtos.InvokeResponse.Builder mergeFrom(CommonProtos.InvokeResponse other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### mergeFrom

    public CommonProtos.InvokeResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.InvokeResponse.Builder>`
    Throws:
      `IOException`

  - ### hasData

    public boolean hasData()

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Specified by:
      `hasData` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      Whether the data field is set.

  - ### getData

    public com.google.protobuf.Any getData()

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Specified by:
      `getData` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      The data.

  - ### setData

    public CommonProtos.InvokeResponse.Builder setData(com.google.protobuf.Any value)

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`

  - ### setData

    public CommonProtos.InvokeResponse.Builder setData(com.google.protobuf.Any.Builder builderForValue)

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`

  - ### mergeData

    public CommonProtos.InvokeResponse.Builder mergeData(com.google.protobuf.Any value)

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`

  - ### clearData

    public CommonProtos.InvokeResponse.Builder clearData()

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`

  - ### getDataBuilder

    public com.google.protobuf.Any.Builder getDataBuilder()

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`

  - ### getDataOrBuilder

    public com.google.protobuf.AnyOrBuilder getDataOrBuilder()

         Required in unary RPCs. The content body of InvokeService response.

    `.google.protobuf.Any data = 1;`
    Specified by:
      `getDataOrBuilder` in interface `CommonProtos.InvokeResponseOrBuilder`

  - ### getContentType

    public String getContentType()

         Required. The type of data content.

    `string content_type = 2;`
    Specified by:
      `getContentType` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      The contentType.

  - ### getContentTypeBytes

    public com.google.protobuf.ByteString getContentTypeBytes()

         Required. The type of data content.

    `string content_type = 2;`
    Specified by:
      `getContentTypeBytes` in interface `CommonProtos.InvokeResponseOrBuilder`
    Returns:
      The bytes for contentType.

  - ### setContentType

    public CommonProtos.InvokeResponse.Builder setContentType(String value)

         Required. The type of data content.

    `string content_type = 2;`
    Parameters:
      `value` - The contentType to set.
    Returns:
      This builder for chaining.

  - ### clearContentType

    public CommonProtos.InvokeResponse.Builder clearContentType()

         Required. The type of data content.

    `string content_type = 2;`
    Returns:
      This builder for chaining.

  - ### setContentTypeBytes

    public CommonProtos.InvokeResponse.Builder setContentTypeBytes(com.google.protobuf.ByteString value)

         Required. The type of data content.

    `string content_type = 2;`
    Parameters:
      `value` - The bytes for contentType to set.
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final CommonProtos.InvokeResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`

  - ### mergeUnknownFields

    public final CommonProtos.InvokeResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.InvokeResponse.Builder>`